﻿namespace Alseco.Configuration {

    public interface IConfigurationManager {

        void LoadConfiguration();
        void SaveConfiguration();
    }

    public interface IConfigurationManager<TConfigurationMember> {

        TConfigurationMember LoadConfiguration();
        void SaveConfiguration(TConfigurationMember configuration);
    }
}