package com.emsoft.common

class IdentityHelper {

    private static final MULT = 31

    static boolean equal(a, b, boolean nullEquals = true) {
        if (!nullEquals && (a == null || b == null))
            return false
        return a.is(b) || a == b
    }

    static int hashCode(Object... objects) {
        Arrays.hashCode(objects)
    }

    private static int shift(int current) {
        MULT * current
    }

    static int updateHash(int current, var) {
        if (var == null)
            return shift(current)
        if (var.getClass().isArray())
            return shift(current) + Arrays.hashCode(var)
        return shift(current) + var.hashCode()
    }
}
