package com.emsoft.common


/**
 * @author Vladimir Zhukov
 *
 * @param < TKey >
 * @param < TValue >
 */
class KeyValue<TKey, TValue> {

    final TKey key
    TValue value

    KeyValue(TKey key, TValue value) {
        Assert.notNull(key, "key")
        this.key = key
        this.value = value
    }

    String toString() {
        return StringHelper.join([getKey(), getValue()], " : ")
    }
}