package com.emsoft.exceptions

import com.emsoft.common.StringHelper

/**
 * @author Vladimir Zhukov
 */
class ObjectNotInCollectionException extends BaseRuntimeException {

    private static final long serialVersionUID = 4916176451988019095L

    ObjectNotInCollectionException(String message) {
        super(message)
    }

    ObjectNotInCollectionException() {
        this(StringHelper.EMPTY)
    }
}
