package com.emsoft.time


/**
 * Simple class for measure time.
 *
 * @author Vladimir Zhukov
 */
class Stopwatch {

    private long startTime
    private long stopTime
    private boolean isRunning

    Stopwatch() {
        startTime = 0
        stopTime = 0
        isRunning = false
    }

    void start() {
        stopTime = 0
        startTime = System.nanoTime()
        isRunning = true
    }

    void stop() {
        stopTime = System.nanoTime()
        isRunning = false
    }

    long getElapsedTime() {
        return (isRunning ? System.currentTimeMillis() - startTime : stopTime - startTime)
    }

    long getElapsedTimeMillis() {
        return elapsedTime / 1000
    }

    long getElapsedTimeSecs() {
        return elapsedTime / 1000000
    }
}
